import { jsx } from "react/jsx-runtime";
import { TokenXNO as TokenXNO$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenXNO = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "XNO", "data-name": "TokenXNO", ...props, children: /* @__PURE__ */ jsx(TokenXNO$1, { variant }) });
  }
);
TokenXNO.displayName = "TokenXNO";
Object.assign(TokenXNO, { isGdsIcon: true });
export {
  TokenXNO
};
